Subject: [radext] FW: New Version Notification for draft-xue-radext-key-management-02.txt

From: Xueli <[email-masked]>
Date: Mon, 17 Feb 2014 01:54:53 +0000

Hi

The new version about the key management in WLAN network is submitted.

The updated abstract is as follows:
" When a mobile device (referred to as Station (STA) in this work)
   tries to connect to a Wireless Local Area Network (WLAN), it needs to
   first perform mutual authentication with the EAP server of the
   network.  As a result of successful authentication, a Pairwise Master
   Key (PMK) will be generated, and distributed to the STA and the
   Authenticator of the network by the EAP server respectively.  The PMK
   is used for securing the subsequent communications between the STA
   and the Wireless Termination Point (WTP) it attaches to.  In
   practice, the authenticator may not be deployed on the WTP.  In this
   case, an approach is required to help the WTP to obtain the PMK.
   This work tries to discuss the issues related with this topic and
   proposes a RADIUS extension to address the problem."

This work has been discussed before. 
The main concern is whether the motivation scenario is reasonable.

In another SDO, BBF, we can find the positives feedbacks.
Now a project which is Public WiFi Access (WT-321) defines the scenarios about the WLAN network.
all the scenarios in section 7, have been got the supports from multiple main operators，
including the scenario: BNG acts as the authenticator during EAP procedure, in which case this draft motivates to resolve the existing issues.
For your convenient, the new version of WT-321 is attached. 

In the latest work, we tried to answer the comments from the list and did the editorial work.
Your comments are appreciated.
Cheers.

Best wishes
Li Xue and Co-authors.

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]
>Sent: Wednesday, February 12, 2014 5:59 PM
>To: Zhangdacheng (Dacheng); Zhangdacheng (Dacheng); Bo Gao; Xueli; Bo Gao;
>Xueli
>Subject: New Version Notification for draft-xue-radext-key-management-02.txt
>
>
>A new version of I-D, draft-xue-radext-key-management-02.txt
>has been successfully submitted by Li Xue and posted to the
>IETF repository.
>
>Name:		draft-xue-radext-key-management
>Revision:	02
>Title:		RADIUS Extensions for Key Management in WLAN network
>Document date:	2014-02-10
>Group:		Individual Submission
>Pages:		13
>URL:
>http://www.ietf.org/internet-drafts/draft-xue-radext-key-management-02.txt
>Status:
>https://datatracker.ietf.org/doc/draft-xue-radext-key-management/
>Htmlized:
>http://tools.ietf.org/html/draft-xue-radext-key-management-02
>Diff:
>http://www.ietf.org/rfcdiff?url2=draft-xue-radext-key-management-02
>
>Abstract:
>   When a mobile device (referred to as Station (STA) in this work)
>   tries to connect to a Wireless Local Area Network (WLAN), it needs to
>   first perform mutual authentication with the EAP server of the
>   network.  As a result of successful authentication, a Pairwise Master
>   Key (PMK) will be generated, and distributed to the STA and the
>   Authenticator of the network by the EAP server respectively.  The PMK
>   is used for securing the subsequent communications between the STA
>   and the Wireless Termination Point (WTP) it attaches to.  In
>   practice, the authenticator may not be deployed on the WTP.  In this
>   case, an approach is required to help the WTP to obtain the PMK.
>   This work tries to discuss the issues related with this topic and
>   proposes a RADIUS extension to address the problem.
>
>
>
>
>Please note that it may take a couple of minutes from the time of submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat